-module(element_td).
%%-author('Maxim Sokhatsky').

-include("nitro.hrl").

-export([
  render_element/1
]).


render_element(Record) ->
  wf_tags:emit_tag(<<"td">>, nitro:render(Record#td.body), [
    {<<"id">>, Record#td.id},
    {<<"class">>, Record#td.class},
    {<<"style">>, Record#td.style},
    {<<"rowspan">>, Record#td.rowspan},
    {<<"bgcolor">>, Record#td.bgcolor},
    {<<"colspan">>, Record#td.colspan},
    {<<"scope">>, Record#td.scope} | Record#td.data_fields
  ]).

