-module(action_api).
%%-author('Maxim Sokhatsky').

-include_lib("nitro/include/nitro.hrl").

-export([
  render_action/1
]).


render_action( #api{name = Name, delegate = Delegate} ) ->
  PostbackScript = wf_event:new(Name, "document", Delegate, api_event,
                                "utf8_toByteArray(JSON.stringify(data))", []),
  [nitro:to_binary(Name), "=function(data){", PostbackScript, "};"].

